<?php
/*
+------------------------------------------------------------------------------+
|     lightIRC - a plugin by Terence Theijn
|
|	Plugin Support Site: http://theijn.nl
|
|	For the e107 website system visit http://e107.org
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+------------------------------------------------------------------------------+
*/
// If e107 is not running we won't run this plugin program
if( ! defined('e107_INIT')){ exit(); }

// Use this folder during install
$eplug_folder = "lightirc";

// Get language file (assume that the English language file is always present)
include_lan(e_PLUGIN.'lightirc/languages/'.e_LANGUAGE.'.php');

// To keep plugin name multilangual: store the constant name in the plugin table
// Plugin name is multi-language (from included language file)
// Otherwise for a fixed language term use the language constant name without the quotes
$eplug_name = LIRC_NAME;
$eplug_version = "0.6";
$eplug_author = "Terence Theijn";
$eplug_url = "http://theijn.nl/";
$eplug_email = "tict@theijn.nl";
$eplug_description = LIRC_DESC;
$eplug_compatible = "e107v0.7+";
$eplug_readme = "admin_readme.php";

$eplug_menu_name = LIRC_MENU;
$eplug_conffile = "admin_config.php";
$eplug_icon = $eplug_folder."/images/logo_32.png";
$eplug_icon_small = $eplug_folder."/images/logo_16.png";
$eplug_caption = LIRC_CAPTION;

// List of preferences ---------------------------------------------------------
// this stores a default value(s) in the preferences. 0 = Off , 1= On
// Preferences are saved with plugin folder name as prefix to make preferences unique and recognisable
$eplug_prefs = array(
	$eplug_folder."_name"				=>	"lightIRC",
	$eplug_folder."_host"				=>	"",
	$eplug_folder."_port"				=>	"6667",
	$eplug_folder."_ssl"				=>	"no",
	$eplug_folder."_policyPort"			=>	"843",
//	$eplug_folder."_nick"				=>	"",
//	$eplug_folder."_pass"				=>	"",
//	$eplug_folder."_proxyHost"			=>	"",
//	$eplug_folder."_proxyPort"			=>	"",
	$eplug_folder."_autojoin"			=>	"",
	$eplug_folder."_showServerWindowButton"		=>	"yes",
	$eplug_folder."_useFlashStyleUrl"		=>	"yes",
	$eplug_folder."_styleURL"			=>	"Yahoo",
	$eplug_folder."_URLTextColor"			=>	"0000FF",
	$eplug_folder."_buttonTextColor"		=>	"333333",
	$eplug_folder."_buttonNewMessageTextColor"	=>	"890000",
	$eplug_folder."_buttonNewInfoTextColor"		=>	"6e4646",
	$eplug_folder."_infoLineColor"			=>	"fc7f00",
	$eplug_folder."_fontSize"			=>	"12",
	$eplug_folder."_nickselect"			=>	"yes",
	$eplug_folder."_nickselectSuggestion"		=>	"lightIRC_%",
	$eplug_folder."_language"			=>	"en",
	$eplug_folder."_autoReconnect"			=>	"yes",
	$eplug_folder."_serverPassword"			=>	"no",
	$eplug_folder."_nickCentral"			=>	"yes",
	$eplug_folder."_userListWidth"			=>	"160",
	$eplug_folder."_doubleClickForQuery"		=>	"yes",
	$eplug_folder."_showNavigationBar"		=>	"yes",
	$eplug_folder."_showActionsButton"		=>	"yes",
	$eplug_folder."_nickServAuth"			=>	"yes",
	$eplug_folder."_soundAlerts"			=>	"yes",
	$eplug_folder."_showListButton"			=>	"yes",
	$eplug_folder."_showJoinPartMessages"		=>	"yes",
	$eplug_folder."_showButtonBar"			=>	"yes",
	$eplug_folder."_showRichTextControls"		=>	"yes",
	$eplug_folder."_showNickChangeButton"		=>	"yes",
	$eplug_folder."_showTimestamps"			=>	"yes",
	$eplug_folder."_chatAreaClickOnUser"		=>	"central"	
);

// List of table names ---------------------------------------------------------
$eplug_table_names = array(
);
// Create a link in main menu (yes=TRUE, no=FALSE) ---------------------------
$eplug_link = TRUE;

// To keep link multilangual: store the constant name in the links table
$eplug_link_name = LIRC_LINK_NAME;
// $plugins_directory can be named differently than the default e107_plugins in the e107_config
$eplug_link_url = e_PLUGIN."lightirc/lightirc.php";
$eplug_done = LIRC_DONE1." ".LIRC_NAME." v".$eplug_version." ".LIRC_DONE2;

// upgrading ... //
$upgrade_add_prefs = array(
	$eplug_folder."_policyPort"			=>	"843",
	$eplug_folder."_soundAlerts"			=>	"yes",
	$eplug_folder."_showListButton"			=>	"yes",
	$eplug_folder."_showJoinPartMessages"		=>	"yes",
	$eplug_folder."_showButtonBar"			=>	"yes",
	$eplug_folder."_showRichTextControls"		=>	"yes",
	$eplug_folder."_showNickChangeButton"		=>	"yes",
	$eplug_folder."_showTimestamps"			=>	"yes",
	$eplug_folder."_chatAreaClickOnUser"		=>	"central"	
);
$upgrade_remove_prefs = array(
	$eplug_folder."_newMessageSound"		=>	"yes"
);
$upgrade_alter_tables = "";

// Demonstration on how to remove redundant files only at upgrade
// This separate function is useful as the plugin.php file is read on many occassions, 
// so this prevents upgrade only functionality from running when it shouldn't. 
if ( ! function_exists('lightirc_upgrade')) 
{  // The above line prevents the plugin from being declared twice
	function lightirc_upgrade() 
	{ // This function is executed by the e107 Plugin Manager before any upgrading action
		$path = e_PLUGIN.'lightirc/';
		if (file_exists($path.'includes/config.php'))
		{   // Remove the file if it still exists              
			// unlink() is not allowed on all hosts - avoid error reporting
			@unlink($path.'includes/config.php');
		}
		if (file_exists($path.'help.php'))
		{ 	// help.php has been replaced by e_help.php
			unlink($path.'help.php');
		}
	} 
}

$eplug_upgrade_done = LIRC_DONE3." ".LIRC_NAME." v".$eplug_version.".";
?>
